#! /bin/sh
#
# skeleton	example file to build /etc/init.d/ scripts.
#		This file should be used to construct scripts for /etc/init.d.
#
#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
#		Modified for Debian GNU/Linux
#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
#
# Version:	@(#)skeleton  1.8  03-Mar-1998  miquels@cistron.nl
#
# This file was automatically customized by dh-make on Sun, 19 Mar 2000 23:06:38 +0000

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
NAME=binfmt-support
DESC="additional executable binary formats"

test -x /usr/sbin/update-binfmts || exit 0

# Get lsb functions
. /lib/lsb/init-functions
. /etc/default/rcS

set -e

case "$1" in
  start)
    log_begin_msg "Enabling $DESC... "
    update-binfmts --enable
    log_end_msg $?
    ;;

  stop)
    log_begin_msg "Disabling $DESC... "
    update-binfmts --disable
    log_end_msg $?
    ;;

  restart|force-reload)
    $0 stop
    $0 start
    ;;

  *)
    N=/etc/init.d/$NAME
    echo "Usage: $N {start|stop|restart|force-reload}" >&2
    exit 1
    ;;
esac

exit 0
